<form [formGroup]="frmEditCoffee"
      class="coffee-form mt-3">
  <mat-form-field>
    <input matInput
           formControlName="title"
           placeholder="Nhập Coffee" 
           matInput
           required/>
    <mat-error
               *ngIf="frmEditCoffee.controls.title.invalid && (frmEditCoffee.controls.title.touched ||frmEditCoffee.controls.title.dirty ) ">
      Nhập dữ liệu sai</mat-error>
  </mat-form-field>

  <mat-form-field>
    <textarea matInput
              formControlName="author"
              placeholder="Nhập tác giả"
              matInput
              required></textarea>
    <mat-error
               *ngIf="frmEditCoffee.controls.author.invalid && (frmEditCoffee.controls.author.touched ||frmEditCoffee.controls.author.dirty ) ">
      Nhập dữ liệu sai</mat-error>
  </mat-form-field>
  <button mat-raised-button
          color="primary"
          class="mt-3"
          [disabled]="!frmEditCoffee.valid"
          (click)="onSave()">Lưu</button>
</form>